MySQL Enterprise Server 5.0 < 5.0.60 MyISAM CREATE TABLE Privilege Check Bypass

This script is Copyright (C) 2008-2011 Tenable Network Security, Inc.

Synopsis :

The remote database server allows a local user to circumvent

Description :

The version of MySQL Enterprise Server 5.0 installed on the remote
host is earlier than 5.0.60. Such versions reportedly allow a local
user to circumvent privileges through creation of MyISAM tables using
the 'DATA DIRECTORY' and 'INDEX DIRECTORY' options to overwrite
existing table files in the application's data directory.

See also :

Solution :

Upgrade to MySQL Enterprise Server version 5.0.60 or later.

Risk factor :

Low / CVSS Base Score : 3.5
CVSS Temporal Score : 2.6
Public Exploit Available : false

Family: Databases

Nessus Plugin ID: 32138 ()

Bugtraq ID: 29106

CVE ID: CVE-2008-2079